// source: v1/dictionary/manufacturer.proto
/**
 * @fileoverview
 * @enhanceable
 * @suppress {messageConventions} JS Compiler reports an error if a variable or
 *     field starts with 'MSG_' and isn't a translatable message.
 * @public
 */
// GENERATED CODE -- DO NOT EDIT!

var jspb = require('google-protobuf');
var goog = jspb;
var global = Function('return this')();

var google_protobuf_wrappers_pb = require('google-protobuf/google/protobuf/wrappers_pb.js');
goog.object.extend(proto, google_protobuf_wrappers_pb);
var google_protobuf_timestamp_pb = require('google-protobuf/google/protobuf/timestamp_pb.js');
goog.object.extend(proto, google_protobuf_timestamp_pb);
var v1_dictionary_common_dictionary_common_pb = require('../../v1/dictionary_common/dictionary_common_pb.js');
goog.object.extend(proto, v1_dictionary_common_dictionary_common_pb);
goog.exportSymbol('proto.fcp.dictionary.v1.dictionary.GetManufacturerRequest', null, global);
goog.exportSymbol('proto.fcp.dictionary.v1.dictionary.GetManufacturerResponse', null, global);
goog.exportSymbol('proto.fcp.dictionary.v1.dictionary.ListManufacturerRequest', null, global);
goog.exportSymbol('proto.fcp.dictionary.v1.dictionary.ListManufacturerResponse', null, global);
goog.exportSymbol('proto.fcp.dictionary.v1.dictionary.Manufacturer', null, global);
goog.exportSymbol('proto.fcp.dictionary.v1.dictionary.ManufacturerFilter', null, global);
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.fcp.dictionary.v1.dictionary.Manufacturer = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, null, null);
};
goog.inherits(proto.fcp.dictionary.v1.dictionary.Manufacturer, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.fcp.dictionary.v1.dictionary.Manufacturer.displayName = 'proto.fcp.dictionary.v1.dictionary.Manufacturer';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.fcp.dictionary.v1.dictionary.ManufacturerFilter = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, null, null);
};
goog.inherits(proto.fcp.dictionary.v1.dictionary.ManufacturerFilter, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.fcp.dictionary.v1.dictionary.ManufacturerFilter.displayName = 'proto.fcp.dictionary.v1.dictionary.ManufacturerFilter';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.fcp.dictionary.v1.dictionary.ListManufacturerRequest = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, proto.fcp.dictionary.v1.dictionary.ListManufacturerRequest.repeatedFields_, null);
};
goog.inherits(proto.fcp.dictionary.v1.dictionary.ListManufacturerRequest, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.fcp.dictionary.v1.dictionary.ListManufacturerRequest.displayName = 'proto.fcp.dictionary.v1.dictionary.ListManufacturerRequest';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.fcp.dictionary.v1.dictionary.ListManufacturerResponse = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, proto.fcp.dictionary.v1.dictionary.ListManufacturerResponse.repeatedFields_, null);
};
goog.inherits(proto.fcp.dictionary.v1.dictionary.ListManufacturerResponse, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.fcp.dictionary.v1.dictionary.ListManufacturerResponse.displayName = 'proto.fcp.dictionary.v1.dictionary.ListManufacturerResponse';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.fcp.dictionary.v1.dictionary.GetManufacturerRequest = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, null, null);
};
goog.inherits(proto.fcp.dictionary.v1.dictionary.GetManufacturerRequest, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.fcp.dictionary.v1.dictionary.GetManufacturerRequest.displayName = 'proto.fcp.dictionary.v1.dictionary.GetManufacturerRequest';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.fcp.dictionary.v1.dictionary.GetManufacturerResponse = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, null, null);
};
goog.inherits(proto.fcp.dictionary.v1.dictionary.GetManufacturerResponse, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.fcp.dictionary.v1.dictionary.GetManufacturerResponse.displayName = 'proto.fcp.dictionary.v1.dictionary.GetManufacturerResponse';
}



if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.fcp.dictionary.v1.dictionary.Manufacturer.prototype.toObject = function(opt_includeInstance) {
  return proto.fcp.dictionary.v1.dictionary.Manufacturer.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.fcp.dictionary.v1.dictionary.Manufacturer} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.dictionary.v1.dictionary.Manufacturer.toObject = function(includeInstance, msg) {
  var f, obj = {
    id: jspb.Message.getFieldWithDefault(msg, 1, 0),
    guid: jspb.Message.getFieldWithDefault(msg, 2, ""),
    name: jspb.Message.getFieldWithDefault(msg, 3, ""),
    hash: (f = msg.getHash()) && google_protobuf_wrappers_pb.StringValue.toObject(includeInstance, f),
    deleted: (f = msg.getDeleted()) && google_protobuf_wrappers_pb.BoolValue.toObject(includeInstance, f),
    createdBy: (f = msg.getCreatedBy()) && google_protobuf_wrappers_pb.StringValue.toObject(includeInstance, f),
    createdAt: (f = msg.getCreatedAt()) && google_protobuf_timestamp_pb.Timestamp.toObject(includeInstance, f),
    updatedBy: (f = msg.getUpdatedBy()) && google_protobuf_wrappers_pb.StringValue.toObject(includeInstance, f),
    updatedAt: (f = msg.getUpdatedAt()) && google_protobuf_timestamp_pb.Timestamp.toObject(includeInstance, f)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.fcp.dictionary.v1.dictionary.Manufacturer}
 */
proto.fcp.dictionary.v1.dictionary.Manufacturer.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.fcp.dictionary.v1.dictionary.Manufacturer;
  return proto.fcp.dictionary.v1.dictionary.Manufacturer.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.fcp.dictionary.v1.dictionary.Manufacturer} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.fcp.dictionary.v1.dictionary.Manufacturer}
 */
proto.fcp.dictionary.v1.dictionary.Manufacturer.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = /** @type {number} */ (reader.readInt64());
      msg.setId(value);
      break;
    case 2:
      var value = /** @type {string} */ (reader.readString());
      msg.setGuid(value);
      break;
    case 3:
      var value = /** @type {string} */ (reader.readString());
      msg.setName(value);
      break;
    case 21:
      var value = new google_protobuf_wrappers_pb.StringValue;
      reader.readMessage(value,google_protobuf_wrappers_pb.StringValue.deserializeBinaryFromReader);
      msg.setHash(value);
      break;
    case 22:
      var value = new google_protobuf_wrappers_pb.BoolValue;
      reader.readMessage(value,google_protobuf_wrappers_pb.BoolValue.deserializeBinaryFromReader);
      msg.setDeleted(value);
      break;
    case 23:
      var value = new google_protobuf_wrappers_pb.StringValue;
      reader.readMessage(value,google_protobuf_wrappers_pb.StringValue.deserializeBinaryFromReader);
      msg.setCreatedBy(value);
      break;
    case 24:
      var value = new google_protobuf_timestamp_pb.Timestamp;
      reader.readMessage(value,google_protobuf_timestamp_pb.Timestamp.deserializeBinaryFromReader);
      msg.setCreatedAt(value);
      break;
    case 25:
      var value = new google_protobuf_wrappers_pb.StringValue;
      reader.readMessage(value,google_protobuf_wrappers_pb.StringValue.deserializeBinaryFromReader);
      msg.setUpdatedBy(value);
      break;
    case 26:
      var value = new google_protobuf_timestamp_pb.Timestamp;
      reader.readMessage(value,google_protobuf_timestamp_pb.Timestamp.deserializeBinaryFromReader);
      msg.setUpdatedAt(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.fcp.dictionary.v1.dictionary.Manufacturer.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.fcp.dictionary.v1.dictionary.Manufacturer.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.fcp.dictionary.v1.dictionary.Manufacturer} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.dictionary.v1.dictionary.Manufacturer.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getId();
  if (f !== 0) {
    writer.writeInt64(
      1,
      f
    );
  }
  f = message.getGuid();
  if (f.length > 0) {
    writer.writeString(
      2,
      f
    );
  }
  f = message.getName();
  if (f.length > 0) {
    writer.writeString(
      3,
      f
    );
  }
  f = message.getHash();
  if (f != null) {
    writer.writeMessage(
      21,
      f,
      google_protobuf_wrappers_pb.StringValue.serializeBinaryToWriter
    );
  }
  f = message.getDeleted();
  if (f != null) {
    writer.writeMessage(
      22,
      f,
      google_protobuf_wrappers_pb.BoolValue.serializeBinaryToWriter
    );
  }
  f = message.getCreatedBy();
  if (f != null) {
    writer.writeMessage(
      23,
      f,
      google_protobuf_wrappers_pb.StringValue.serializeBinaryToWriter
    );
  }
  f = message.getCreatedAt();
  if (f != null) {
    writer.writeMessage(
      24,
      f,
      google_protobuf_timestamp_pb.Timestamp.serializeBinaryToWriter
    );
  }
  f = message.getUpdatedBy();
  if (f != null) {
    writer.writeMessage(
      25,
      f,
      google_protobuf_wrappers_pb.StringValue.serializeBinaryToWriter
    );
  }
  f = message.getUpdatedAt();
  if (f != null) {
    writer.writeMessage(
      26,
      f,
      google_protobuf_timestamp_pb.Timestamp.serializeBinaryToWriter
    );
  }
};


/**
 * optional int64 id = 1;
 * @return {number}
 */
proto.fcp.dictionary.v1.dictionary.Manufacturer.prototype.getId = function() {
  return /** @type {number} */ (jspb.Message.getFieldWithDefault(this, 1, 0));
};


/**
 * @param {number} value
 * @return {!proto.fcp.dictionary.v1.dictionary.Manufacturer} returns this
 */
proto.fcp.dictionary.v1.dictionary.Manufacturer.prototype.setId = function(value) {
  return jspb.Message.setProto3IntField(this, 1, value);
};


/**
 * optional string guid = 2;
 * @return {string}
 */
proto.fcp.dictionary.v1.dictionary.Manufacturer.prototype.getGuid = function() {
  return /** @type {string} */ (jspb.Message.getFieldWithDefault(this, 2, ""));
};


/**
 * @param {string} value
 * @return {!proto.fcp.dictionary.v1.dictionary.Manufacturer} returns this
 */
proto.fcp.dictionary.v1.dictionary.Manufacturer.prototype.setGuid = function(value) {
  return jspb.Message.setProto3StringField(this, 2, value);
};


/**
 * optional string name = 3;
 * @return {string}
 */
proto.fcp.dictionary.v1.dictionary.Manufacturer.prototype.getName = function() {
  return /** @type {string} */ (jspb.Message.getFieldWithDefault(this, 3, ""));
};


/**
 * @param {string} value
 * @return {!proto.fcp.dictionary.v1.dictionary.Manufacturer} returns this
 */
proto.fcp.dictionary.v1.dictionary.Manufacturer.prototype.setName = function(value) {
  return jspb.Message.setProto3StringField(this, 3, value);
};


/**
 * optional google.protobuf.StringValue hash = 21;
 * @return {?proto.google.protobuf.StringValue}
 */
proto.fcp.dictionary.v1.dictionary.Manufacturer.prototype.getHash = function() {
  return /** @type{?proto.google.protobuf.StringValue} */ (
    jspb.Message.getWrapperField(this, google_protobuf_wrappers_pb.StringValue, 21));
};


/**
 * @param {?proto.google.protobuf.StringValue|undefined} value
 * @return {!proto.fcp.dictionary.v1.dictionary.Manufacturer} returns this
*/
proto.fcp.dictionary.v1.dictionary.Manufacturer.prototype.setHash = function(value) {
  return jspb.Message.setWrapperField(this, 21, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.dictionary.v1.dictionary.Manufacturer} returns this
 */
proto.fcp.dictionary.v1.dictionary.Manufacturer.prototype.clearHash = function() {
  return this.setHash(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.dictionary.v1.dictionary.Manufacturer.prototype.hasHash = function() {
  return jspb.Message.getField(this, 21) != null;
};


/**
 * optional google.protobuf.BoolValue deleted = 22;
 * @return {?proto.google.protobuf.BoolValue}
 */
proto.fcp.dictionary.v1.dictionary.Manufacturer.prototype.getDeleted = function() {
  return /** @type{?proto.google.protobuf.BoolValue} */ (
    jspb.Message.getWrapperField(this, google_protobuf_wrappers_pb.BoolValue, 22));
};


/**
 * @param {?proto.google.protobuf.BoolValue|undefined} value
 * @return {!proto.fcp.dictionary.v1.dictionary.Manufacturer} returns this
*/
proto.fcp.dictionary.v1.dictionary.Manufacturer.prototype.setDeleted = function(value) {
  return jspb.Message.setWrapperField(this, 22, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.dictionary.v1.dictionary.Manufacturer} returns this
 */
proto.fcp.dictionary.v1.dictionary.Manufacturer.prototype.clearDeleted = function() {
  return this.setDeleted(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.dictionary.v1.dictionary.Manufacturer.prototype.hasDeleted = function() {
  return jspb.Message.getField(this, 22) != null;
};


/**
 * optional google.protobuf.StringValue created_by = 23;
 * @return {?proto.google.protobuf.StringValue}
 */
proto.fcp.dictionary.v1.dictionary.Manufacturer.prototype.getCreatedBy = function() {
  return /** @type{?proto.google.protobuf.StringValue} */ (
    jspb.Message.getWrapperField(this, google_protobuf_wrappers_pb.StringValue, 23));
};


/**
 * @param {?proto.google.protobuf.StringValue|undefined} value
 * @return {!proto.fcp.dictionary.v1.dictionary.Manufacturer} returns this
*/
proto.fcp.dictionary.v1.dictionary.Manufacturer.prototype.setCreatedBy = function(value) {
  return jspb.Message.setWrapperField(this, 23, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.dictionary.v1.dictionary.Manufacturer} returns this
 */
proto.fcp.dictionary.v1.dictionary.Manufacturer.prototype.clearCreatedBy = function() {
  return this.setCreatedBy(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.dictionary.v1.dictionary.Manufacturer.prototype.hasCreatedBy = function() {
  return jspb.Message.getField(this, 23) != null;
};


/**
 * optional google.protobuf.Timestamp created_at = 24;
 * @return {?proto.google.protobuf.Timestamp}
 */
proto.fcp.dictionary.v1.dictionary.Manufacturer.prototype.getCreatedAt = function() {
  return /** @type{?proto.google.protobuf.Timestamp} */ (
    jspb.Message.getWrapperField(this, google_protobuf_timestamp_pb.Timestamp, 24));
};


/**
 * @param {?proto.google.protobuf.Timestamp|undefined} value
 * @return {!proto.fcp.dictionary.v1.dictionary.Manufacturer} returns this
*/
proto.fcp.dictionary.v1.dictionary.Manufacturer.prototype.setCreatedAt = function(value) {
  return jspb.Message.setWrapperField(this, 24, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.dictionary.v1.dictionary.Manufacturer} returns this
 */
proto.fcp.dictionary.v1.dictionary.Manufacturer.prototype.clearCreatedAt = function() {
  return this.setCreatedAt(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.dictionary.v1.dictionary.Manufacturer.prototype.hasCreatedAt = function() {
  return jspb.Message.getField(this, 24) != null;
};


/**
 * optional google.protobuf.StringValue updated_by = 25;
 * @return {?proto.google.protobuf.StringValue}
 */
proto.fcp.dictionary.v1.dictionary.Manufacturer.prototype.getUpdatedBy = function() {
  return /** @type{?proto.google.protobuf.StringValue} */ (
    jspb.Message.getWrapperField(this, google_protobuf_wrappers_pb.StringValue, 25));
};


/**
 * @param {?proto.google.protobuf.StringValue|undefined} value
 * @return {!proto.fcp.dictionary.v1.dictionary.Manufacturer} returns this
*/
proto.fcp.dictionary.v1.dictionary.Manufacturer.prototype.setUpdatedBy = function(value) {
  return jspb.Message.setWrapperField(this, 25, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.dictionary.v1.dictionary.Manufacturer} returns this
 */
proto.fcp.dictionary.v1.dictionary.Manufacturer.prototype.clearUpdatedBy = function() {
  return this.setUpdatedBy(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.dictionary.v1.dictionary.Manufacturer.prototype.hasUpdatedBy = function() {
  return jspb.Message.getField(this, 25) != null;
};


/**
 * optional google.protobuf.Timestamp updated_at = 26;
 * @return {?proto.google.protobuf.Timestamp}
 */
proto.fcp.dictionary.v1.dictionary.Manufacturer.prototype.getUpdatedAt = function() {
  return /** @type{?proto.google.protobuf.Timestamp} */ (
    jspb.Message.getWrapperField(this, google_protobuf_timestamp_pb.Timestamp, 26));
};


/**
 * @param {?proto.google.protobuf.Timestamp|undefined} value
 * @return {!proto.fcp.dictionary.v1.dictionary.Manufacturer} returns this
*/
proto.fcp.dictionary.v1.dictionary.Manufacturer.prototype.setUpdatedAt = function(value) {
  return jspb.Message.setWrapperField(this, 26, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.dictionary.v1.dictionary.Manufacturer} returns this
 */
proto.fcp.dictionary.v1.dictionary.Manufacturer.prototype.clearUpdatedAt = function() {
  return this.setUpdatedAt(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.dictionary.v1.dictionary.Manufacturer.prototype.hasUpdatedAt = function() {
  return jspb.Message.getField(this, 26) != null;
};





if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.fcp.dictionary.v1.dictionary.ManufacturerFilter.prototype.toObject = function(opt_includeInstance) {
  return proto.fcp.dictionary.v1.dictionary.ManufacturerFilter.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.fcp.dictionary.v1.dictionary.ManufacturerFilter} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.dictionary.v1.dictionary.ManufacturerFilter.toObject = function(includeInstance, msg) {
  var f, obj = {
    id: (f = msg.getId()) && google_protobuf_wrappers_pb.Int64Value.toObject(includeInstance, f),
    guid: (f = msg.getGuid()) && google_protobuf_wrappers_pb.StringValue.toObject(includeInstance, f),
    name: (f = msg.getName()) && google_protobuf_wrappers_pb.StringValue.toObject(includeInstance, f),
    deleted: (f = msg.getDeleted()) && google_protobuf_wrappers_pb.BoolValue.toObject(includeInstance, f)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.fcp.dictionary.v1.dictionary.ManufacturerFilter}
 */
proto.fcp.dictionary.v1.dictionary.ManufacturerFilter.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.fcp.dictionary.v1.dictionary.ManufacturerFilter;
  return proto.fcp.dictionary.v1.dictionary.ManufacturerFilter.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.fcp.dictionary.v1.dictionary.ManufacturerFilter} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.fcp.dictionary.v1.dictionary.ManufacturerFilter}
 */
proto.fcp.dictionary.v1.dictionary.ManufacturerFilter.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = new google_protobuf_wrappers_pb.Int64Value;
      reader.readMessage(value,google_protobuf_wrappers_pb.Int64Value.deserializeBinaryFromReader);
      msg.setId(value);
      break;
    case 2:
      var value = new google_protobuf_wrappers_pb.StringValue;
      reader.readMessage(value,google_protobuf_wrappers_pb.StringValue.deserializeBinaryFromReader);
      msg.setGuid(value);
      break;
    case 3:
      var value = new google_protobuf_wrappers_pb.StringValue;
      reader.readMessage(value,google_protobuf_wrappers_pb.StringValue.deserializeBinaryFromReader);
      msg.setName(value);
      break;
    case 22:
      var value = new google_protobuf_wrappers_pb.BoolValue;
      reader.readMessage(value,google_protobuf_wrappers_pb.BoolValue.deserializeBinaryFromReader);
      msg.setDeleted(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.fcp.dictionary.v1.dictionary.ManufacturerFilter.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.fcp.dictionary.v1.dictionary.ManufacturerFilter.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.fcp.dictionary.v1.dictionary.ManufacturerFilter} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.dictionary.v1.dictionary.ManufacturerFilter.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getId();
  if (f != null) {
    writer.writeMessage(
      1,
      f,
      google_protobuf_wrappers_pb.Int64Value.serializeBinaryToWriter
    );
  }
  f = message.getGuid();
  if (f != null) {
    writer.writeMessage(
      2,
      f,
      google_protobuf_wrappers_pb.StringValue.serializeBinaryToWriter
    );
  }
  f = message.getName();
  if (f != null) {
    writer.writeMessage(
      3,
      f,
      google_protobuf_wrappers_pb.StringValue.serializeBinaryToWriter
    );
  }
  f = message.getDeleted();
  if (f != null) {
    writer.writeMessage(
      22,
      f,
      google_protobuf_wrappers_pb.BoolValue.serializeBinaryToWriter
    );
  }
};


/**
 * optional google.protobuf.Int64Value id = 1;
 * @return {?proto.google.protobuf.Int64Value}
 */
proto.fcp.dictionary.v1.dictionary.ManufacturerFilter.prototype.getId = function() {
  return /** @type{?proto.google.protobuf.Int64Value} */ (
    jspb.Message.getWrapperField(this, google_protobuf_wrappers_pb.Int64Value, 1));
};


/**
 * @param {?proto.google.protobuf.Int64Value|undefined} value
 * @return {!proto.fcp.dictionary.v1.dictionary.ManufacturerFilter} returns this
*/
proto.fcp.dictionary.v1.dictionary.ManufacturerFilter.prototype.setId = function(value) {
  return jspb.Message.setWrapperField(this, 1, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.dictionary.v1.dictionary.ManufacturerFilter} returns this
 */
proto.fcp.dictionary.v1.dictionary.ManufacturerFilter.prototype.clearId = function() {
  return this.setId(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.dictionary.v1.dictionary.ManufacturerFilter.prototype.hasId = function() {
  return jspb.Message.getField(this, 1) != null;
};


/**
 * optional google.protobuf.StringValue guid = 2;
 * @return {?proto.google.protobuf.StringValue}
 */
proto.fcp.dictionary.v1.dictionary.ManufacturerFilter.prototype.getGuid = function() {
  return /** @type{?proto.google.protobuf.StringValue} */ (
    jspb.Message.getWrapperField(this, google_protobuf_wrappers_pb.StringValue, 2));
};


/**
 * @param {?proto.google.protobuf.StringValue|undefined} value
 * @return {!proto.fcp.dictionary.v1.dictionary.ManufacturerFilter} returns this
*/
proto.fcp.dictionary.v1.dictionary.ManufacturerFilter.prototype.setGuid = function(value) {
  return jspb.Message.setWrapperField(this, 2, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.dictionary.v1.dictionary.ManufacturerFilter} returns this
 */
proto.fcp.dictionary.v1.dictionary.ManufacturerFilter.prototype.clearGuid = function() {
  return this.setGuid(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.dictionary.v1.dictionary.ManufacturerFilter.prototype.hasGuid = function() {
  return jspb.Message.getField(this, 2) != null;
};


/**
 * optional google.protobuf.StringValue name = 3;
 * @return {?proto.google.protobuf.StringValue}
 */
proto.fcp.dictionary.v1.dictionary.ManufacturerFilter.prototype.getName = function() {
  return /** @type{?proto.google.protobuf.StringValue} */ (
    jspb.Message.getWrapperField(this, google_protobuf_wrappers_pb.StringValue, 3));
};


/**
 * @param {?proto.google.protobuf.StringValue|undefined} value
 * @return {!proto.fcp.dictionary.v1.dictionary.ManufacturerFilter} returns this
*/
proto.fcp.dictionary.v1.dictionary.ManufacturerFilter.prototype.setName = function(value) {
  return jspb.Message.setWrapperField(this, 3, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.dictionary.v1.dictionary.ManufacturerFilter} returns this
 */
proto.fcp.dictionary.v1.dictionary.ManufacturerFilter.prototype.clearName = function() {
  return this.setName(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.dictionary.v1.dictionary.ManufacturerFilter.prototype.hasName = function() {
  return jspb.Message.getField(this, 3) != null;
};


/**
 * optional google.protobuf.BoolValue deleted = 22;
 * @return {?proto.google.protobuf.BoolValue}
 */
proto.fcp.dictionary.v1.dictionary.ManufacturerFilter.prototype.getDeleted = function() {
  return /** @type{?proto.google.protobuf.BoolValue} */ (
    jspb.Message.getWrapperField(this, google_protobuf_wrappers_pb.BoolValue, 22));
};


/**
 * @param {?proto.google.protobuf.BoolValue|undefined} value
 * @return {!proto.fcp.dictionary.v1.dictionary.ManufacturerFilter} returns this
*/
proto.fcp.dictionary.v1.dictionary.ManufacturerFilter.prototype.setDeleted = function(value) {
  return jspb.Message.setWrapperField(this, 22, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.dictionary.v1.dictionary.ManufacturerFilter} returns this
 */
proto.fcp.dictionary.v1.dictionary.ManufacturerFilter.prototype.clearDeleted = function() {
  return this.setDeleted(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.dictionary.v1.dictionary.ManufacturerFilter.prototype.hasDeleted = function() {
  return jspb.Message.getField(this, 22) != null;
};



/**
 * List of repeated fields within this message type.
 * @private {!Array<number>}
 * @const
 */
proto.fcp.dictionary.v1.dictionary.ListManufacturerRequest.repeatedFields_ = [2];



if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.fcp.dictionary.v1.dictionary.ListManufacturerRequest.prototype.toObject = function(opt_includeInstance) {
  return proto.fcp.dictionary.v1.dictionary.ListManufacturerRequest.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.fcp.dictionary.v1.dictionary.ListManufacturerRequest} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.dictionary.v1.dictionary.ListManufacturerRequest.toObject = function(includeInstance, msg) {
  var f, obj = {
    filter: (f = msg.getFilter()) && proto.fcp.dictionary.v1.dictionary.ManufacturerFilter.toObject(includeInstance, f),
    sortingsList: jspb.Message.toObjectList(msg.getSortingsList(),
    v1_dictionary_common_dictionary_common_pb.Sorting.toObject, includeInstance),
    pagination: (f = msg.getPagination()) && v1_dictionary_common_dictionary_common_pb.PaginationRequest.toObject(includeInstance, f)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.fcp.dictionary.v1.dictionary.ListManufacturerRequest}
 */
proto.fcp.dictionary.v1.dictionary.ListManufacturerRequest.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.fcp.dictionary.v1.dictionary.ListManufacturerRequest;
  return proto.fcp.dictionary.v1.dictionary.ListManufacturerRequest.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.fcp.dictionary.v1.dictionary.ListManufacturerRequest} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.fcp.dictionary.v1.dictionary.ListManufacturerRequest}
 */
proto.fcp.dictionary.v1.dictionary.ListManufacturerRequest.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = new proto.fcp.dictionary.v1.dictionary.ManufacturerFilter;
      reader.readMessage(value,proto.fcp.dictionary.v1.dictionary.ManufacturerFilter.deserializeBinaryFromReader);
      msg.setFilter(value);
      break;
    case 2:
      var value = new v1_dictionary_common_dictionary_common_pb.Sorting;
      reader.readMessage(value,v1_dictionary_common_dictionary_common_pb.Sorting.deserializeBinaryFromReader);
      msg.addSortings(value);
      break;
    case 3:
      var value = new v1_dictionary_common_dictionary_common_pb.PaginationRequest;
      reader.readMessage(value,v1_dictionary_common_dictionary_common_pb.PaginationRequest.deserializeBinaryFromReader);
      msg.setPagination(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.fcp.dictionary.v1.dictionary.ListManufacturerRequest.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.fcp.dictionary.v1.dictionary.ListManufacturerRequest.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.fcp.dictionary.v1.dictionary.ListManufacturerRequest} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.dictionary.v1.dictionary.ListManufacturerRequest.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getFilter();
  if (f != null) {
    writer.writeMessage(
      1,
      f,
      proto.fcp.dictionary.v1.dictionary.ManufacturerFilter.serializeBinaryToWriter
    );
  }
  f = message.getSortingsList();
  if (f.length > 0) {
    writer.writeRepeatedMessage(
      2,
      f,
      v1_dictionary_common_dictionary_common_pb.Sorting.serializeBinaryToWriter
    );
  }
  f = message.getPagination();
  if (f != null) {
    writer.writeMessage(
      3,
      f,
      v1_dictionary_common_dictionary_common_pb.PaginationRequest.serializeBinaryToWriter
    );
  }
};


/**
 * optional ManufacturerFilter filter = 1;
 * @return {?proto.fcp.dictionary.v1.dictionary.ManufacturerFilter}
 */
proto.fcp.dictionary.v1.dictionary.ListManufacturerRequest.prototype.getFilter = function() {
  return /** @type{?proto.fcp.dictionary.v1.dictionary.ManufacturerFilter} */ (
    jspb.Message.getWrapperField(this, proto.fcp.dictionary.v1.dictionary.ManufacturerFilter, 1));
};


/**
 * @param {?proto.fcp.dictionary.v1.dictionary.ManufacturerFilter|undefined} value
 * @return {!proto.fcp.dictionary.v1.dictionary.ListManufacturerRequest} returns this
*/
proto.fcp.dictionary.v1.dictionary.ListManufacturerRequest.prototype.setFilter = function(value) {
  return jspb.Message.setWrapperField(this, 1, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.dictionary.v1.dictionary.ListManufacturerRequest} returns this
 */
proto.fcp.dictionary.v1.dictionary.ListManufacturerRequest.prototype.clearFilter = function() {
  return this.setFilter(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.dictionary.v1.dictionary.ListManufacturerRequest.prototype.hasFilter = function() {
  return jspb.Message.getField(this, 1) != null;
};


/**
 * repeated fcp.dictionary.v1.dictionary_common.Sorting sortings = 2;
 * @return {!Array<!proto.fcp.dictionary.v1.dictionary_common.Sorting>}
 */
proto.fcp.dictionary.v1.dictionary.ListManufacturerRequest.prototype.getSortingsList = function() {
  return /** @type{!Array<!proto.fcp.dictionary.v1.dictionary_common.Sorting>} */ (
    jspb.Message.getRepeatedWrapperField(this, v1_dictionary_common_dictionary_common_pb.Sorting, 2));
};


/**
 * @param {!Array<!proto.fcp.dictionary.v1.dictionary_common.Sorting>} value
 * @return {!proto.fcp.dictionary.v1.dictionary.ListManufacturerRequest} returns this
*/
proto.fcp.dictionary.v1.dictionary.ListManufacturerRequest.prototype.setSortingsList = function(value) {
  return jspb.Message.setRepeatedWrapperField(this, 2, value);
};


/**
 * @param {!proto.fcp.dictionary.v1.dictionary_common.Sorting=} opt_value
 * @param {number=} opt_index
 * @return {!proto.fcp.dictionary.v1.dictionary_common.Sorting}
 */
proto.fcp.dictionary.v1.dictionary.ListManufacturerRequest.prototype.addSortings = function(opt_value, opt_index) {
  return jspb.Message.addToRepeatedWrapperField(this, 2, opt_value, proto.fcp.dictionary.v1.dictionary_common.Sorting, opt_index);
};


/**
 * Clears the list making it empty but non-null.
 * @return {!proto.fcp.dictionary.v1.dictionary.ListManufacturerRequest} returns this
 */
proto.fcp.dictionary.v1.dictionary.ListManufacturerRequest.prototype.clearSortingsList = function() {
  return this.setSortingsList([]);
};


/**
 * optional fcp.dictionary.v1.dictionary_common.PaginationRequest pagination = 3;
 * @return {?proto.fcp.dictionary.v1.dictionary_common.PaginationRequest}
 */
proto.fcp.dictionary.v1.dictionary.ListManufacturerRequest.prototype.getPagination = function() {
  return /** @type{?proto.fcp.dictionary.v1.dictionary_common.PaginationRequest} */ (
    jspb.Message.getWrapperField(this, v1_dictionary_common_dictionary_common_pb.PaginationRequest, 3));
};


/**
 * @param {?proto.fcp.dictionary.v1.dictionary_common.PaginationRequest|undefined} value
 * @return {!proto.fcp.dictionary.v1.dictionary.ListManufacturerRequest} returns this
*/
proto.fcp.dictionary.v1.dictionary.ListManufacturerRequest.prototype.setPagination = function(value) {
  return jspb.Message.setWrapperField(this, 3, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.dictionary.v1.dictionary.ListManufacturerRequest} returns this
 */
proto.fcp.dictionary.v1.dictionary.ListManufacturerRequest.prototype.clearPagination = function() {
  return this.setPagination(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.dictionary.v1.dictionary.ListManufacturerRequest.prototype.hasPagination = function() {
  return jspb.Message.getField(this, 3) != null;
};



/**
 * List of repeated fields within this message type.
 * @private {!Array<number>}
 * @const
 */
proto.fcp.dictionary.v1.dictionary.ListManufacturerResponse.repeatedFields_ = [1];



if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.fcp.dictionary.v1.dictionary.ListManufacturerResponse.prototype.toObject = function(opt_includeInstance) {
  return proto.fcp.dictionary.v1.dictionary.ListManufacturerResponse.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.fcp.dictionary.v1.dictionary.ListManufacturerResponse} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.dictionary.v1.dictionary.ListManufacturerResponse.toObject = function(includeInstance, msg) {
  var f, obj = {
    itemsList: jspb.Message.toObjectList(msg.getItemsList(),
    proto.fcp.dictionary.v1.dictionary.Manufacturer.toObject, includeInstance),
    pagination: (f = msg.getPagination()) && v1_dictionary_common_dictionary_common_pb.PaginationResponse.toObject(includeInstance, f)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.fcp.dictionary.v1.dictionary.ListManufacturerResponse}
 */
proto.fcp.dictionary.v1.dictionary.ListManufacturerResponse.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.fcp.dictionary.v1.dictionary.ListManufacturerResponse;
  return proto.fcp.dictionary.v1.dictionary.ListManufacturerResponse.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.fcp.dictionary.v1.dictionary.ListManufacturerResponse} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.fcp.dictionary.v1.dictionary.ListManufacturerResponse}
 */
proto.fcp.dictionary.v1.dictionary.ListManufacturerResponse.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = new proto.fcp.dictionary.v1.dictionary.Manufacturer;
      reader.readMessage(value,proto.fcp.dictionary.v1.dictionary.Manufacturer.deserializeBinaryFromReader);
      msg.addItems(value);
      break;
    case 2:
      var value = new v1_dictionary_common_dictionary_common_pb.PaginationResponse;
      reader.readMessage(value,v1_dictionary_common_dictionary_common_pb.PaginationResponse.deserializeBinaryFromReader);
      msg.setPagination(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.fcp.dictionary.v1.dictionary.ListManufacturerResponse.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.fcp.dictionary.v1.dictionary.ListManufacturerResponse.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.fcp.dictionary.v1.dictionary.ListManufacturerResponse} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.dictionary.v1.dictionary.ListManufacturerResponse.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getItemsList();
  if (f.length > 0) {
    writer.writeRepeatedMessage(
      1,
      f,
      proto.fcp.dictionary.v1.dictionary.Manufacturer.serializeBinaryToWriter
    );
  }
  f = message.getPagination();
  if (f != null) {
    writer.writeMessage(
      2,
      f,
      v1_dictionary_common_dictionary_common_pb.PaginationResponse.serializeBinaryToWriter
    );
  }
};


/**
 * repeated Manufacturer items = 1;
 * @return {!Array<!proto.fcp.dictionary.v1.dictionary.Manufacturer>}
 */
proto.fcp.dictionary.v1.dictionary.ListManufacturerResponse.prototype.getItemsList = function() {
  return /** @type{!Array<!proto.fcp.dictionary.v1.dictionary.Manufacturer>} */ (
    jspb.Message.getRepeatedWrapperField(this, proto.fcp.dictionary.v1.dictionary.Manufacturer, 1));
};


/**
 * @param {!Array<!proto.fcp.dictionary.v1.dictionary.Manufacturer>} value
 * @return {!proto.fcp.dictionary.v1.dictionary.ListManufacturerResponse} returns this
*/
proto.fcp.dictionary.v1.dictionary.ListManufacturerResponse.prototype.setItemsList = function(value) {
  return jspb.Message.setRepeatedWrapperField(this, 1, value);
};


/**
 * @param {!proto.fcp.dictionary.v1.dictionary.Manufacturer=} opt_value
 * @param {number=} opt_index
 * @return {!proto.fcp.dictionary.v1.dictionary.Manufacturer}
 */
proto.fcp.dictionary.v1.dictionary.ListManufacturerResponse.prototype.addItems = function(opt_value, opt_index) {
  return jspb.Message.addToRepeatedWrapperField(this, 1, opt_value, proto.fcp.dictionary.v1.dictionary.Manufacturer, opt_index);
};


/**
 * Clears the list making it empty but non-null.
 * @return {!proto.fcp.dictionary.v1.dictionary.ListManufacturerResponse} returns this
 */
proto.fcp.dictionary.v1.dictionary.ListManufacturerResponse.prototype.clearItemsList = function() {
  return this.setItemsList([]);
};


/**
 * optional fcp.dictionary.v1.dictionary_common.PaginationResponse pagination = 2;
 * @return {?proto.fcp.dictionary.v1.dictionary_common.PaginationResponse}
 */
proto.fcp.dictionary.v1.dictionary.ListManufacturerResponse.prototype.getPagination = function() {
  return /** @type{?proto.fcp.dictionary.v1.dictionary_common.PaginationResponse} */ (
    jspb.Message.getWrapperField(this, v1_dictionary_common_dictionary_common_pb.PaginationResponse, 2));
};


/**
 * @param {?proto.fcp.dictionary.v1.dictionary_common.PaginationResponse|undefined} value
 * @return {!proto.fcp.dictionary.v1.dictionary.ListManufacturerResponse} returns this
*/
proto.fcp.dictionary.v1.dictionary.ListManufacturerResponse.prototype.setPagination = function(value) {
  return jspb.Message.setWrapperField(this, 2, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.dictionary.v1.dictionary.ListManufacturerResponse} returns this
 */
proto.fcp.dictionary.v1.dictionary.ListManufacturerResponse.prototype.clearPagination = function() {
  return this.setPagination(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.dictionary.v1.dictionary.ListManufacturerResponse.prototype.hasPagination = function() {
  return jspb.Message.getField(this, 2) != null;
};





if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.fcp.dictionary.v1.dictionary.GetManufacturerRequest.prototype.toObject = function(opt_includeInstance) {
  return proto.fcp.dictionary.v1.dictionary.GetManufacturerRequest.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.fcp.dictionary.v1.dictionary.GetManufacturerRequest} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.dictionary.v1.dictionary.GetManufacturerRequest.toObject = function(includeInstance, msg) {
  var f, obj = {
    id: jspb.Message.getFieldWithDefault(msg, 1, 0)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.fcp.dictionary.v1.dictionary.GetManufacturerRequest}
 */
proto.fcp.dictionary.v1.dictionary.GetManufacturerRequest.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.fcp.dictionary.v1.dictionary.GetManufacturerRequest;
  return proto.fcp.dictionary.v1.dictionary.GetManufacturerRequest.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.fcp.dictionary.v1.dictionary.GetManufacturerRequest} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.fcp.dictionary.v1.dictionary.GetManufacturerRequest}
 */
proto.fcp.dictionary.v1.dictionary.GetManufacturerRequest.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = /** @type {number} */ (reader.readInt64());
      msg.setId(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.fcp.dictionary.v1.dictionary.GetManufacturerRequest.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.fcp.dictionary.v1.dictionary.GetManufacturerRequest.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.fcp.dictionary.v1.dictionary.GetManufacturerRequest} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.dictionary.v1.dictionary.GetManufacturerRequest.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getId();
  if (f !== 0) {
    writer.writeInt64(
      1,
      f
    );
  }
};


/**
 * optional int64 id = 1;
 * @return {number}
 */
proto.fcp.dictionary.v1.dictionary.GetManufacturerRequest.prototype.getId = function() {
  return /** @type {number} */ (jspb.Message.getFieldWithDefault(this, 1, 0));
};


/**
 * @param {number} value
 * @return {!proto.fcp.dictionary.v1.dictionary.GetManufacturerRequest} returns this
 */
proto.fcp.dictionary.v1.dictionary.GetManufacturerRequest.prototype.setId = function(value) {
  return jspb.Message.setProto3IntField(this, 1, value);
};





if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.fcp.dictionary.v1.dictionary.GetManufacturerResponse.prototype.toObject = function(opt_includeInstance) {
  return proto.fcp.dictionary.v1.dictionary.GetManufacturerResponse.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.fcp.dictionary.v1.dictionary.GetManufacturerResponse} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.dictionary.v1.dictionary.GetManufacturerResponse.toObject = function(includeInstance, msg) {
  var f, obj = {
    item: (f = msg.getItem()) && proto.fcp.dictionary.v1.dictionary.Manufacturer.toObject(includeInstance, f)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.fcp.dictionary.v1.dictionary.GetManufacturerResponse}
 */
proto.fcp.dictionary.v1.dictionary.GetManufacturerResponse.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.fcp.dictionary.v1.dictionary.GetManufacturerResponse;
  return proto.fcp.dictionary.v1.dictionary.GetManufacturerResponse.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.fcp.dictionary.v1.dictionary.GetManufacturerResponse} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.fcp.dictionary.v1.dictionary.GetManufacturerResponse}
 */
proto.fcp.dictionary.v1.dictionary.GetManufacturerResponse.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = new proto.fcp.dictionary.v1.dictionary.Manufacturer;
      reader.readMessage(value,proto.fcp.dictionary.v1.dictionary.Manufacturer.deserializeBinaryFromReader);
      msg.setItem(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.fcp.dictionary.v1.dictionary.GetManufacturerResponse.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.fcp.dictionary.v1.dictionary.GetManufacturerResponse.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.fcp.dictionary.v1.dictionary.GetManufacturerResponse} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.dictionary.v1.dictionary.GetManufacturerResponse.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getItem();
  if (f != null) {
    writer.writeMessage(
      1,
      f,
      proto.fcp.dictionary.v1.dictionary.Manufacturer.serializeBinaryToWriter
    );
  }
};


/**
 * optional Manufacturer item = 1;
 * @return {?proto.fcp.dictionary.v1.dictionary.Manufacturer}
 */
proto.fcp.dictionary.v1.dictionary.GetManufacturerResponse.prototype.getItem = function() {
  return /** @type{?proto.fcp.dictionary.v1.dictionary.Manufacturer} */ (
    jspb.Message.getWrapperField(this, proto.fcp.dictionary.v1.dictionary.Manufacturer, 1));
};


/**
 * @param {?proto.fcp.dictionary.v1.dictionary.Manufacturer|undefined} value
 * @return {!proto.fcp.dictionary.v1.dictionary.GetManufacturerResponse} returns this
*/
proto.fcp.dictionary.v1.dictionary.GetManufacturerResponse.prototype.setItem = function(value) {
  return jspb.Message.setWrapperField(this, 1, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.dictionary.v1.dictionary.GetManufacturerResponse} returns this
 */
proto.fcp.dictionary.v1.dictionary.GetManufacturerResponse.prototype.clearItem = function() {
  return this.setItem(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.dictionary.v1.dictionary.GetManufacturerResponse.prototype.hasItem = function() {
  return jspb.Message.getField(this, 1) != null;
};


goog.object.extend(exports, proto.fcp.dictionary.v1.dictionary);
